<div class="main-top">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 right">
                <div class="right-phone-box">
                    <% if (session.authenticated) { %> 
                        <p>Bienvenido <%=session.user.nombre%></p>
                    <% } %>
                </div>
                <div class="our-link">
                    <ul>
                        <% if (!session.authenticated) { %> 
                            <li><a href="/registro"><i class="fa fa-user s_color"></i>Registro</a></li>
                            <li><a href="/ingresar"><i class="fas fa-location-arrow"></i>Ingreso</a></li>
                        <% }else{ %> 
                            <li><a href="/cerrar"><i class="fas fa-location-arrow"></i>Cerrar sesión</a></li>
                        <% } %>
                        <% if (session.authenticated && session.user.rol == 1) { %> 
                            <li><a href="/admin/panel"><i class="fas fa-headset"></i>Panel</a></li>
                        <% } %>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Start Main Top -->
<header class="main-header">
    <!-- Start Navigation -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light navbar-default bootsnav">
        <div class="container">
            <!-- Start Header Navigation -->
            <div class="navbar-header">
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-menu" aria-controls="navbars-rs-food" aria-expanded="false" aria-label="Toggle navigation">
                    <i class="fa fa-bars"></i>
                </button>
                <a class="navbar-brand" href="index.html">
                  <img src="/images/logo.png" class="logo" alt="" style="width: 80px !important;">
                </a>
            </div>
            <!-- End Header Navigation -->
  
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="navbar-menu">
                <ul class="nav navbar-nav ml-auto" data-in="fadeInDown" data-out="fadeOutUp">
                    <li class="nav-item active">
                        <a class="nav-link" href="/">Inicio</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/acerca-de">Acerca de</a>
                    </li>
                    <% if (session.authenticated) { %> 
                        <li class="nav-item">
                            <a class="nav-link" href="/mis-ordenes">Mis ordenes</a>
                        </li>
                    <% } %> 
                </ul>
            </div>
            <!-- /.navbar-collapse -->
  
            <!-- Start Atribute Navigation -->
            <% if (session.authenticated) { %> 
                <div class="attr-nav">
                    <ul>
                        <li class="side-menu">
                            <a href="#">
                                <i class="fa fa-shopping-bag"></i>
                                <span class="badge"><%=(session.carrito) ? session.carrito.length : 0 %></span>
                                <p>Mi carrito</p>
                            </a>
                        </li>
                    </ul>
                </div>
            <% } %> 
            <!-- End Atribute Navigation -->
        </div>
        <% if(session.authenticated) { %>
        <div class="side">
            <a href="#" class="close-side"><i class="fa fa-times"></i></a>
            <li class="cart-box">
                <ul class="cart-list">
                    
                        <% session.carrito.forEach( detalle => { %>
                        <li>
                            <a href="#" class="photo">
                                <img src="/images/fotos/<%=detalle.producto.contenido%>" class="cart-thumb" alt="<%=detalle.producto.titulo%>" />
                            </a>
                            <h6><a href="#"><%=detalle.producto.titulo%></a></h6>
                            <p><%=detalle.cantidad%>x - <span class="price">$<%=Number.parseFloat(detalle.producto.precio * detalle.cantidad).toFixed(2)%></span></p>
                        </li>
                        <% }) %>
                        <% if(session.carrito.length) { %> 
                            <li class="total">
                                <a href="/carrito" class="btn btn-default hvr-hover btn-cart">Ver carrito</a>
                            </li>
                        <% }else{ %>
                            <li>No hay productos seleccionados</li>
                        <% } %>
                    
                </ul>
            </li>
        </div>
        <% } %> 
    </nav>
    <!-- End Navigation -->
</header>
<!-- End Main Top -->